GuideLab API

Import clients from CSV data

Imports clinic/client data from mapped CSV rows. Creates new clinic organizations and partnerships, or identifies existing ones. Lab-only endpoint.

POST
/import/clients

Imports clinic/client data from mapped CSV rows. Creates new clinic organizations and partnerships, or identifies existing ones. Lab-only endpoint.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/import/clients" \  -H "Content-Type: application/json" \  -d '{    "mappings": [      {        "sourceColumn": "string",        "targetField": "string"      }    ],    "rows": [      {        "property1": "string",        "property2": "string"      }    ]  }'
{  "success": true,  "totalRows": 0,  "successCount": 0,  "errorCount": 0,  "errors": [    {      "row": 0,      "message": "string"    }  ],  "createdIds": [    "string"  ],  "updatedIds": [    "string"  ]}
Empty
Empty